I think this example refers to a much older version (0.8) and is no longer compatible

On Wed, Feb 24, 2016 at 4:02 PM, subash basnet <yasubash@gmail.com> wrote:
Hello there,

I imported the flink-streaming-examples project [https://github.com/mbalassi/flink/tree/stockprices/flink-staging/flink-streaming/flink-streaming-examples] into eclipse but it shows me error in StockSource and TweetSource class within StockPries.java. 
I have attached the screenshot for more clarity. 

When I point to the error symbol beside StockSource I get the following message:
Multiple markers at this line
- The type StockPrices.StockSource must implement the inherited abstract method 
SourceFunction<StockPrices.StockPrice>.cancel()
- The type StockPrices.StockSource must implement the inherited abstract method 
SourceFunction<StockPrices.StockPrice>.run(SourceFunction.SourceContext<StockPrices.StockPrice>)

And for reachEnd() overriden method:
The method reachedEnd() of type StockPrices.StockSource must override or implement a supertype method

Do I need to import some another project, attach as source to run the StockPries.java. 


Best Regards,
Subash Basnet